Foxit PDF RDK

Public Member Functions | List of all members
StructMarkedContent Class Reference
Inheritance diagram for StructMarkedContent:

## Public Member Functions
| constructor ()
| Constructor.
| GetMCID ()
| Get marked-content identifier(MCID). More...
| GetParentElement ()
| Get the parent structure element. More...
| GetStmDict ()
| Get PDF dictionary of the content stream that contains the marked-content sequence. More...
| GetStmOwnerDict ()
| Get PDF dictionary of content stream owner. More...
Public Member Functions inherited from StructTreeEntity
| constructor ()
| Constructor.
| GetPage ()
| Get the related PDF page. More...
| GetType ()
| Get structure tree entity type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Additional Inherited Members
Static Public Attributes inherited from StructTreeEntity
static | e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
static | e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
static | e_StructTreeEntityTypeObjectContent
| Structure tree entity type: objectContent, which represents a PDF object content item, such as annotation and XObject.
static | e_UnknownType
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents a marked-content item.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetMCID()

StructMarkedContent.GetMCID | ( |  | ) |

Get marked-content identifier(MCID).

Returns
  Marked-content identifier.

## ◆ GetParentElement()

StructMarkedContent.GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetStmDict()

StructMarkedContent.GetStmDict | ( |  | ) |

Get PDF dictionary of the content stream that contains the marked-content sequence.

The content stream containing the marked-content sequence. This entry should be present only if the marked-content sequence resides in a content stream other than the content stream for the page.

Returns
  PDF dictionary of content stream that contains the marked-content sequence.

## ◆ GetStmOwnerDict()

StructMarkedContent.GetStmOwnerDict | ( |  | ) |

Get PDF dictionary of content stream owner.

Returns
  PDF dictionary of content stream owner.